• caglararli@hotmail.com
  • 05386281520

CVE-2024-26611 | Linux Kernel up to 6.6.14/6.7.2/6.8-rc1 on ZC xsk bpf_xdp_adjust_tail null pointer dereference (82ee4781b820/5cd781f7216f/c5114710c8ce)

Çağlar Arlı      -    15 Views

CVE-2024-26611 | Linux Kernel up to 6.6.14/6.7.2/6.8-rc1 on ZC xsk bpf_xdp_adjust_tail null pointer dereference (82ee4781b820/5cd781f7216f/c5114710c8ce)

A vulnerability was found in Linux Kernel up to 6.6.14/6.7.2/6.8-rc1 on ZC. It has been declared as critical. Affected by this vulnerability is the function bpf_xdp_adjust_tail of the component xsk. The manipulation leads to null pointer dereference. This vulnerability is known as CVE-2024-26611. The attack needs to be approached within the local network. There is no exploit available. It is recommended to upgrade the affected component.